Page MenuHomePhabricator

[VE] Clang toolchain for VE
ClosedPublic

Authored by simoll on May 5 2020, 5:22 AM.

Diff Detail

Event Timeline

simoll created this revision.May 5 2020, 5:22 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 5 2020, 5:22 AM

FYI This passes all tests on the mergebot. There are some obscure lint suggestions that make it report a failure.

simoll added a subscriber: manorom.May 12 2020, 2:56 AM
simoll updated this revision to Diff 263638.May 13 2020, 1:07 AM
  • Simplified: stripped down to a basic C GNU Linux toolchain hard-float, no C++ stdlib.
  • rebased.

Leaving a note: https://reviews.llvm.org/D79084 depends on this patch to build compiler-rt.

Ping. Anything i can do to get this reviewed?

kaz7 added a comment.Jun 3 2020, 8:48 PM

It looks fine to me but I'm not clang expert. Can anyone review this or introduce us reviewers? Thanks.

Add people who reviewed patches adding new target to clang. Sorry for bothering you guys, but I appreciate if you review our patch or give us suggestions how to get reviewed. Thanks in advance.

kaz7 added a comment.Tue, Jun 23, 12:14 AM

Please check an inline comment.

clang/lib/Basic/Targets/VE.h
167

Current VE backend doesn't support EH yet (it supports only SjLj), so this function should not be defined.

simoll updated this revision to Diff 272632.Tue, Jun 23, 12:34 AM
simoll marked an inline comment as done.

Removed getEHDataRegisterNumber.

kaz7 accepted this revision.Tue, Jun 23, 2:59 AM

LGTM.

This revision is now accepted and ready to land.Tue, Jun 23, 2:59 AM
This revision was automatically updated to reflect the committed changes.